
  SECTION('BuildDate')

  Glo:BuildDate = 'Program Build: October 27, 2001'


  SECTION('FullName')

  IF (Cli:LastName)
    IF (Cli:FirstName)
      Glo:FullName = CLIP(Cli:LastName) & ', ' & Cli:FirstName
    ELSE
      Glo:FullName = Cli:LastName
    END
  ELSE
    Glo:FullName = Cli:FirstName
  END


  SECTION('ControlNumber')

  Loc:ControlNumber = Trn:Broker & FORMAT(Trn:ControlNumber,@n_5)


  SECTION('Button:Name')

  ?Button:Name{PROP:Text} = Glo:FullName

  x# = LEN(CLIP(Glo:FullName)) * 4.3 + 20
  IF x# > 125 THEN x# = 125.
  IF x# < 50 THEN x# = 50.

  ?Button:Name{PROP:Width} = x#


  SECTION('AuditLog')

  IF LocalResponse = RequestCompleted
    IF (LocalRequest = ChangeRecord AND RecordChanged) |
    OR LocalRequest = InsertRecord |
    OR LocalRequest = DeleteRecord THEN
      Aud:Date = TODAY()
      Aud:Time = CLOCK()
      Aud:Broker = ''
      !Aud:Database = ''        ! database file
      CASE LocalRequest
        OF InsertRecord; Aud:Action = 'A'
        OF ChangeRecord; Aud:Action = 'C'
        OF DeleteRecord; Aud:Action = 'D'
      END

      !Aud:LookupField = ''     ! key field
      !Aud:Other = ''           ! useful info
      ADD(AuditLog)
      IF ERRORCODE()
        MESSAGE('Error on ADD(AuditLog): ' & ERROR(),'Audit Log',ICON:Exclamation)
      END
    END
  END
